
%define _libmoddir /lib/modules

%{!?kernel:%define kernel %(rpm -q kernel-deverl --qf "%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}\n" | tail -1)}

%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')


#Detect kernel 2.6.x build
%if %(echo %{kernel} | grep -c "^2\.6")
%define kernel26   1
%endif

%define moduledir /kernel/drivers/net/wireless/ipw3945

%define kext ko

%define modules ipw3945.%{kext} 


Summary: Linux driver for the Intel Wireless Pro 3945 WiFi chipsets.
Name: kernel-module-ipw3945
Version: 1.1.0
Release: 1.SL4
Epoch: 0
License: GPL, other
Group: System Environment/Kernel

Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux

Source: ipw3945-%{version}-builtin-ieee80211.tgz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}
ExclusiveArch: i686 x86_64
BuildRequires: kernel-devel

Requires: /boot/vmlinuz-%{kernel}
Requires: ipw3945d
Requires: ipw3945-firmware

Provides: kernel-module
Provides: kernel-module-ipw3945 = %{epoch}:%{version}-%{release}

%description
Linux driver for the Intel Wireless Pro 3945 WiFi

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%package -n kernel-module-ipw3945-%{kernel}

Summary: Linux driver for the Intel Wireless Pro 3945 WiFi.
Group: System Environment/Kernel

Requires: /boot/vmlinuz-%{kernel}
Requires: ipw3945d
Requires: ipw3945-firmware

Provides: kernel-module
Provides: kernel-module-ipw3945 = %{epoch}:%{version}-%{release}

%description -n kernel-module-ipw3945-%{kernel}
Linux driver for the Intel Wireless Pro 3945 WiFi

These drivers are build for kernel %{kernel}
and architecture %{_target_cpu}.

%prep
%setup -n ipw3945-%{version}-builtin-ieee80211

%build
make -C /lib/modules/%{kversion}-%{krelease}/build/ M=`pwd` clean
make -C /lib/modules/%{kversion}-%{krelease}/build/ M=`pwd` modules
%{__install} -d -m0755 %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}
%{__install} -m0644 %{modules} %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}

%install

%postun -n kernel-module-ipw3945-%{kernel}
depmod -a %{kversion}-%{krelease} >/dev/null 2>&1 || :

%post -n kernel-module-ipw3945-%{kernel}
depmod -a %{kversion}-%{krelease} >/dev/null 2>&1 || :

%clean
%{__rm} -rf %{buildroot}

%files -n kernel-module-ipw3945-%{kernel}
%defattr(-, root, root, 0755)
%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}/*

%changelog
* Mon Dec 18 2006 Troy Dawson <dawson@fnal.gov>
- Tweaked spec script to fit my build scripts better

* Mon Dec 18 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.1.0
- upgraded to 1.1.0 release
- patched built-in ieee80211 stack with WEP/CCMP/TKIP enabled. 

* Mon Nov 28 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package, iee80211 built-in hack.
